SDL_GetCurrentThreadID(3)

NAME
SDL_GetCurrentThreadID - Get the thread identifier for the current thread.

SYNOPSIS
#include <SDL3/SDL_thread.h>

SDL_ThreadID SDL_GetCurrentThreadID(void);

DESCRIPTION
This thread identifier is as reported by the underlying operating system. If SDL is running on a platform that does not support threads the return value will always be zero.

This function also returns a valid thread ID when called from the main thread.

RETURN VALUE
Returns the ID of the current thread.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetThreadID(3)